Subject: Re: [PATCH] powerpc: Drop MPC5200 LocalPlus bus FIFO driver

From: Michael Ellerman <[email-masked]>
Date: Fri, 12 May 2023 12:42:46 +1000

Uwe Kleine-König <[email-masked]> writes:
> On Thu, Apr 13, 2023 at 08:16:42AM +0200, Uwe Kleine-König wrote:
>> While mpc5200b.dtsi contains a device that this driver can bind to, the
>> only purpose of a bound device is to be used by the four exported functions
>> mpc52xx_lpbfifo_submit(), mpc52xx_lpbfifo_abort(), mpc52xx_lpbfifo_poll()
>> and mpc52xx_lpbfifo_start_xfer(). However there are no callers to this
>> function and so the driver is effectively superfluous and can be deleted.
>> Also drop some defines and a struct from <asm/mpc52xx.h> that are unused
>> now together with the declarations of the four mentioned functions.
>> 
>> Signed-off-by: Uwe Kleine-König <[email-masked]>
>> ---
>> On Thu, Apr 13, 2023 at 10:11:25AM +1000, Michael Ellerman wrote:
>> > Uwe Kleine-König <[email-masked]> writes:
>> > > On Wed, Dec 28, 2022 at 03:51:29PM +0100, Uwe Kleine-König wrote:
>> > >> The four exported functions mpc52xx_lpbfifo_submit(),
>> > >> mpc52xx_lpbfifo_abort(), mpc52xx_lpbfifo_poll(), and
>> > >> mpc52xx_lpbfifo_start_xfer() are not used. So they can be dropped and the
>> > >> definitions needed to call them can be moved into the driver file.
>> > >> 
>> > >> Signed-off-by: Uwe Kleine-König <[email-masked]>
>> > >
>> > > I never got feedback about this driver and it has not appeared in next
>> > > up to now. Did it fell through the cracks?
>> > 
>> > Yeah. I was hoping someone would explain what's going on with the
>> > driver.
>> > 
>> > Presumably there are some out-of-tree drivers that use the routines
>> > provided by this driver?
>> 
>> I googled for the function names but the only related hits were
>> references to this thread :-)
>> 
>> > I think rather than merging this patch, which keeps the code but makes
>> > it completely useless, do you mind sending a patch to remove the whole
>> > driver? Maybe that will get someone's attention.
>> 
>> fair enough, here it is.
>
> What is your thought about this patch? If you (also) think getting it
> into next soon after a merge window closed, around now would be a good
> opportunity to do so ..

I was hoping someone would explain why we have a driver that does
nothing useful :) But I guess it's too old for anyone to remember/care.

So yeah I'll take this, we can always put it back if someone needs it.

I base my next on rc2, so I'll pick this up next week.

cheers